Justin,

> > I'm trying to install the C-based MySQL/Ruby library on my WinXP box
and
> > MySQL 4.1.7
> 
> I ran into all the problems you listed as well.  Here is how I got
> around them - http://seagecko.org/thoughts/2004/09/09/ruby-mysql-and-
> windows/
> 
> It is built around 4.0.20a not the newer 4.1.7.  I have no need to
> upgrade right now so it isn't even on my priority list to get it built
> with 4.1.x code line.

Thanks for the help!

Hopefully I can snag VS.NET and compile one against MySQL 4.1.7 (sadly
the so file you created is bombing out on me).

As a general note to the Ruby community, and to the Windows One-click
installer in particular - Can we _please_ try and get some of the more
popular extensions pre-compiled for win32? I've had a heck of a time
trying to do FastCGI, ZLib and MySQL...

Thanks,
Chris